Skip to content

Whether a rotation is queued

GET
/address/rotate/pending

Useful for disabling the rotation button in your interface.

Authorizations

ApiKeyAuth

API key from the dashboard. Some Host Mode endpoints also accept the key as an api_key field in the request body — this is stated in the schema of the particular operation.

Type
API Key (header: X-API-KEY)

Parameters

Header Parameters

X-Real-IP*

An IP address from the key's whitelist. A request from an address outside the whitelist is rejected with 401.

Type
string
Required
Example"203.0.113.10"
Format
"ipv4"

Query Parameters

address_type
Type
string
Valid values
"web""tg"
Default
"web"

Responses

Whether a request is queued, and the request itself.

application/json
JSON
{
  
"user_id": 0,
  
"address_type": "string",
  
"has_pending": true,
  
"pending_rotation": {
  
  
"rotation_id": 0,
  
  
"status": "string",
  
  
"created_at": "string"
  
}
}

Playground

Authorization
Headers
Variables
Key
Value

Samples

Powered by VitePress OpenAPI